%{!?__python2:        %define __python2 /usr/bin/python2}
%{!?python2_sitelib:  %define python2_sitelib  %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python2_sitearch: %define python2_sitearch %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}

%define modn   enum34
%define modv   1.0.4


Summary:       The enum feature backported to Python 2.4+
Name:          python-%{modn}
Version:       %{modv}
Release:       1%{?dist}%{?pext}
License:       BSD
Group:         Development/Libraries
Source0:       https://pypi.python.org/packages/source/e/%{modn}/%{modn}-%{modv}.tar.gz
URL:           https://pypi.python.org/pypi/%{modn}/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        Ethan Furman <ethan@stoneleaf.us>
Provides:      python(%{modn}) = %{modv}
Provides:      python(enum) = %{modv}
Requires:      python-ordereddict
BuildRequires: python2-devel >= 2.4 python-setuptools
BuildRequires: python-ordereddict
BuildArch:     noarch


%description
An enumeration is a set of symbolic names (members) bound to unique,
constant values. Within an enumeration, members can be compared by
identity, and the enumeration itself can be iterated over.

Python 3.4 officially introduced support for enumerations. Enum34 is
a backport of that feature to Python 2.4+.


%prep
%setup -q -n %{modn}-%{modv}


%build
%{__python2} -c 'import setuptools; execfile("setup.py")' build


%check
pushd enum
%{__python2} test_enum.py
popd


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

%{__python2} -c 'import setuptools; execfile("setup.py")' install \
	--skip-build -O1 --root ${RPM_BUILD_ROOT}


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc enum/{LICENSE,README,doc/*.rst}
%{python2_sitelib}/enum
%{python2_sitelib}/*.egg-info
%exclude %{python2_sitelib}/enum/LICENSE
%exclude %{python2_sitelib}/enum/README
%exclude %{python2_sitelib}/enum/doc


%changelog
* Tue Jan 13 2015 Peter Pramberger <peterpramb@member.fsf.org> - 1.0.4-1
- Initial build
